List
curl --request GET \
--url https://api.cadanapay.com/v1/persons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/persons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"firstName": "John",
"lastName": "Doe",
"email": "<string>",
"type": "CONTRACTOR",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"compInfo": {
"type": "net",
"salary": {
"amount": 10000,
"currency": "USD"
},
"frequency": "monthly",
"employmentModel": "eor"
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"metadata": {
"customField1": "value1",
"customField2": "value2"
},
"businessName": "Wayne Enterprise",
"contractorType": "INDIVIDUAL",
"jobInfo": {
"startDate": "2023-01-01",
"employeeNumber": "1",
"title": "Software Engineer",
"department": "Product",
"customFields": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Tshirt Size",
"value": "M"
}
],
"entityId": "37ad8c1e-0187-4e10-8c54-395e3385b4d2"
},
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
}
],
"meta": {
"limit": 1,
"currentPage": 1,
"skipped": 1,
"pages": 1,
"itemCount": 1
}
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Persons
List
Get all persons
GET
/
v1
/
persons
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Query Parameters
Page number to retrieve
Required range:
x >= 1Maximum number of items to return per page
Required range:
1 <= x <= 100Filter by email
⌘I